<script setup lang="ts">
import { onMounted, reactive } from 'vue'
import { useRoute } from 'vue-router'

import { i18n } from '@/scripts/i18n'
import ListWarning from '@/components/ListWarning.vue'

const route = useRoute()
const text = reactive({
  title: null as string | null,
  description: null as string | null
})

onMounted(() => {
  if (route.name === 'not-found') {
    text.title = i18n.t('errorPage.notFoundTitle')
    text.description = i18n.t('errorPage.notFoundDescription')
  } else {
    console.log(route.path)
  }
})
</script>

<template>
  <main id="main" class="flex justify-center items-center">
    <div class="relative p-4 w-full max-w-lg h-full md:h-auto">
      <AppCard v-if="!!text.title && !!text.description">
        <div class="mb-4 text-sm font-light text-gray-500 dark:text-gray-400">
          <h3 class="mb-3 text-2xl font-bold text-gray-900 dark:text-white">
            {{ text.title }}
          </h3>
          <p class="whitespace-pre-line">
            {{ text.description }}
          </p>
        </div>
        <div class="items-center pt-0 space-y-4 flex justify-center sm:space-y-0">
          <div class="space-y-4 sm:space-x-4 sm:flex sm:space-y-0">
            <RouterLink to="/home">
              <AppButton>
                {{ $t('ui.back') }}
              </AppButton>
            </RouterLink>
          </div>
        </div>
      </AppCard>
      <AppCard v-else-if="route.name === 'tequila-list-error'">
        <ListWarning auth="tequila" />
      </AppCard>
      <AppCard v-else>
        <div class="mb-4 text-sm font-light text-gray-500 dark:text-gray-400">
          <h3 class="mb-3 text-2xl font-bold text-gray-900 dark:text-white">
            {{ $t('errorPage.genericTitle') }}
          </h3>
          <p class="whitespace-pre-line">
            {{ $t('errorPage.notFoundDescription') }}
          </p>
        </div>
        <div class="items-center pt-0 space-y-4 flex justify-center sm:space-y-0">
          <div class="space-y-4 sm:space-x-4 sm:flex sm:space-y-0">
            <RouterLink to="/home">
              <AppButton>
                {{ $t('ui.back') }}
              </AppButton>
            </RouterLink>
          </div>
        </div>
      </AppCard>
    </div>
  </main>
</template>
